package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum OrderTypeEnum {

    /**
     * 1：跌倒 2：久滞 3坠床 4主动呼叫 5户外呼叫
     */
    DIEDAO("21","跌倒"),
    JIUZHI("22","久滞"),
    ZHUICHUANG("23","坠床"),
    ZHUDONGHUJIAO("31","主动呼叫"),
    HUWAIHUJIAO("32","户外呼叫");
    private String value;
    private String name;
    OrderTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (DIEDAO.getValue().equals(code)){
            return  DIEDAO.name;
        }else if (JIUZHI.getValue().equals(code)){
            return JIUZHI.name;
        }else if (ZHUICHUANG.getValue().equals(code)){
            return ZHUICHUANG.name;
        }else if (ZHUDONGHUJIAO.getValue().equals(code)){
            return ZHUDONGHUJIAO.name;
        }else if (HUWAIHUJIAO.getValue().equals(code)){
            return HUWAIHUJIAO.name;
        }

        return null;
    }
}
